Bug 1046465 (kdelibs-shareddatacache) - [abrt] kdelibs: shareddatacache.cpp -> elision-unlock.c crash
Summary: [abrt] kdelibs: shareddatacache.cpp -> elision-unlock.c crash
Keywords:
Status: CLOSED EOL
Alias: kdelibs-shareddatacache
Product: Fedora
Classification: Fedora
Component: kdelibs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dea44ee843c1f94f8418871db58...
: 1052722 1063479 1124556 1125029 1138118 1147653 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-25 13:29 UTC by tjfsight
Modified: 2015-06-29 13:48 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:48:45 UTC


Attachments (Terms of Use)
File: backtrace (27.10 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: core_backtrace (7.67 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: dso_list (12.99 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: environ (2.43 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: exploitable (82 bytes, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: maps (70.46 KB, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: open_fds (424 bytes, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: proc_pid_status (940 bytes, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details
File: var_log_messages (219 bytes, text/plain)
2013-12-25 13:29 UTC, tjfsight
no flags Details


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 334640 None None None Never

Description tjfsight 2013-12-25 13:29:22 UTC
Version-Release number of selected component:
kdepim-runtime-4.11.4-1.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/akonadi_maildispatcher_agent --identifier akonadi_maildispatcher_agent
crash_function: _xend
executable:     /usr/bin/akonadi_maildispatcher_agent
kernel:         3.12.5-302.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _xend at ../nptl/sysdeps/unix/sysv/linux/x86/elision-unlock.c:33
 #1 __lll_unlock_elision at ../nptl/sysdeps/unix/sysv/linux/x86/elision-unlock.c:29
 #2 unlock at /usr/src/debug/kdelibs-4.11.4/kdecore/util/kshareddatacache.cpp:1243
 #3 ~CacheLocker at /usr/src/debug/kdelibs-4.11.4/kdecore/util/kshareddatacache.cpp:1342
 #4 KSharedDataCache::insert at /usr/src/debug/kdelibs-4.11.4/kdecore/util/kshareddatacache.cpp:1621
 #5 KIconLoaderPrivate::insertCachedPixmapWithPath at /usr/src/debug/kdelibs-4.11.4/kdeui/icons/kiconloader.cpp:827
 #6 KIconLoader::loadIcon at /usr/src/debug/kdelibs-4.11.4/kdeui/icons/kiconloader.cpp:1205
 #7 KIconEngine::pixmap at /usr/src/debug/kdelibs-4.11.4/kdeui/icons/kiconengine.cpp:104
 #8 QIcon::pixmap at image/qicon.cpp:684
 #9 QWidgetPrivate::setWindowIcon_sys at kernel/qwidget_x11.cpp:1490

Comment 1 tjfsight 2013-12-25 13:29:27 UTC
Created attachment 841504 [details]
File: backtrace

Comment 2 tjfsight 2013-12-25 13:29:28 UTC
Created attachment 841505 [details]
File: cgroup

Comment 3 tjfsight 2013-12-25 13:29:31 UTC
Created attachment 841506 [details]
File: core_backtrace

Comment 4 tjfsight 2013-12-25 13:29:33 UTC
Created attachment 841507 [details]
File: dso_list

Comment 5 tjfsight 2013-12-25 13:29:34 UTC
Created attachment 841508 [details]
File: environ

Comment 6 tjfsight 2013-12-25 13:29:36 UTC
Created attachment 841509 [details]
File: exploitable

Comment 7 tjfsight 2013-12-25 13:29:39 UTC
Created attachment 841510 [details]
File: limits

Comment 8 tjfsight 2013-12-25 13:29:41 UTC
Created attachment 841511 [details]
File: maps

Comment 9 tjfsight 2013-12-25 13:29:43 UTC
Created attachment 841512 [details]
File: open_fds

Comment 10 tjfsight 2013-12-25 13:29:44 UTC
Created attachment 841513 [details]
File: proc_pid_status

Comment 11 tjfsight 2013-12-25 13:29:46 UTC
Created attachment 841514 [details]
File: var_log_messages

Comment 12 Rex Dieter 2014-12-18 14:40:19 UTC
*** Bug 1052722 has been marked as a duplicate of this bug. ***

Comment 13 Rex Dieter 2014-12-18 14:40:33 UTC
*** Bug 1063479 has been marked as a duplicate of this bug. ***

Comment 14 Rex Dieter 2014-12-18 14:41:29 UTC
*** Bug 1147653 has been marked as a duplicate of this bug. ***

Comment 15 Rex Dieter 2014-12-18 14:41:31 UTC
*** Bug 1138118 has been marked as a duplicate of this bug. ***

Comment 16 Rex Dieter 2014-12-18 14:41:32 UTC
*** Bug 1124556 has been marked as a duplicate of this bug. ***

Comment 17 Rex Dieter 2014-12-18 14:41:34 UTC
*** Bug 1125029 has been marked as a duplicate of this bug. ***

Comment 18 Fedora End Of Life 2015-05-29 10:09:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2015-06-29 13:48:45 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.